﻿/*
** nopCommerce ajax cart implementation
*/


var AjaxCartLandingPage = {
    loadWaiting: false,
    usepopupnotifications: false,
    cartpage: '',

    init: function (usepopupnotifications, cartpage) {
        this.loadWaiting = false;
        this.usepopupnotifications = usepopupnotifications;
        this.cartpage = cartpage;
    },

    setLoadWaiting: function (display) {
        displayAjaxLoading(display);
        this.loadWaiting = display;
    },

    //add a product to the cart/wishlist from the product details page
    addproducttocart_details: function (urladd, formselector) {
        if (this.loadWaiting != false) {
            return;
        }
        this.setLoadWaiting(true);

        $.ajax({
            cache: false,
            url: urladd,
            data: $(formselector).serialize(),
            type: 'post',
            success: this.success_process,
            complete: this.resetLoadWaiting,
            error: this.ajaxFailure
        });
    },

    success_process: function (response) {
        if (response.message) {
            //display notification
            if (response.success == true) {
                //success
                location.href = AjaxCartLandingPage.cartpage;
            }
            else {
                //error
                if (AjaxCartLandingPage.usepopupnotifications == true) {
                    displayPopupNotification(response.message, 'error', true);
                }
                else {
                    //no timeout for errors
                    displayBarNotification(response.message, 'error', 0);
                }
            }
            return false;
        }
        if (response.redirect) {
            location.href = response.redirect;
            return false;
        }
        return false;
    },

    resetLoadWaiting: function () {
        AjaxCartLandingPage.setLoadWaiting(false);
    },

    ajaxFailure: function () {
        alert('Failed to add the product. Please refresh the page and try one more time.');
    }
};